## quasselc 0~git20170114

=== Makefile ===
prefix ?= /usr/local
libdir ?= $(prefix)/lib
includedir ?= $(prefix)/include

CFLAGS:=-Wall -g -Wextra $(shell pkg-config glib-2.0 --cflags) -Wswitch-enum -std=gnu11 -O2 -fPIC
SO_VERSION = 0
VERSION = 0
INSTALL = install
LDLIBS:=$(shell pkg-config glib-2.0 --libs) -lz

BOTLIBS := -Wl,-rpath,.

lib_objects=setters.o getters.o main.o cmds.o negotiation.o io.o symbols.o

all: bot libquasselc.so.$(VERSION) quasselc.pc

libquasselc.so.$(VERSION): $(lib_objects)
	$(CC) -shared -o $@ -Wl,-soname,libquasselc.so.$(SO_VERSION) $^ $(LDLIBS)

bot: bot.o display.o libquasselc.so.$(VERSION)
	$(CC) -o $@ $^ $(LDLIBS) $(BOTLIBS)

clean:
	rm -f *.o bot libquasselc.so.$(VERSION) quasselc.pc

quasselc.pc: quasselc.pc.in
	sed -e 's,@version@,$(VERSION),' \
		-e 's,@libdir@,$(libdir),' \
		-e 's,@prefix@,$(prefix),' \
		-e 's,@includedir@,$(includedir),' < $^ > $@

install: libquasselc.so.$(VERSION) quasselc.pc
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) libquasselc.so.$(VERSION) $(DESTDIR)$(libdir)
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 0644 quasselc.pc $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -d $(DESTDIR)$(includedir)/quasselc
	$(INSTALL) -m 0644 *.h $(DESTDIR)$(includedir)/quasselc

=== debian/changelog ===
quasselc (0~git20170114-1) experimental; urgency=medium

  * New upstream snapshot.
  * Drop patch no_asm_socket.patch: applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 14 Jan 2017 20:46:07 +0000

quasselc (0~git20161221-2) experimental; urgency=medium

  * Add patch no_asm_socket.patch: fix build on non-Linux platforms by
    avoiding asm/socket.h.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 30 Dec 2016 12:04:13 +0000

quasselc (0~git20161221-1) experimental; urgency=medium

  * New upstream snapshot.
   + Changes license to LGPL-3+.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 21 Dec 2016 16:34:50 +0000

quasselc (0~git20150406-1) experimental; urgency=low

  * Initial release. (Closes: #823985)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 May 2016 00:09:20 +0000

=== debian/control ===
Source: quasselc
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libglib2.0-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/phhusson/quasselc
Vcs-Git: git://anonscm.debian.org/collab-maint/quasselc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/quasselc.git/

Package: libquasselc0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: quassel-core
Description: Library for connecting to Quassel cores
 This library provides an API for connecting to Quassel servers (cores),
 allowing for the implementation of custom Quassel UIs or bots.

Package: libquasselc-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, libquasselc0 (= ${binary:Version})
Description: Library for connecting to Quassel cores
 This library provides an API for connecting to Quassel servers (cores),
 allowing for the implementation of custom Quassel UIs or bots.
 .
 This package contains the development headers.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" libdir=/usr/lib/$(DEB_HOST_MULTIARCH) prefix=/usr dh $@

override_dh_auto_install:
	dh_auto_install
	ln -fs libquasselc.so.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libquasselc.so

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/phhusson/quasselc/tags .*/v?(\d\S*)\.tar\.gz
